TimeSeries — GET /timeseries/versions
What it does
Returns the available versions of a TimeSeries and the data extent associated with each version.
For each version, the response includes:
The version date/time.
The earliest time for which data exists.
The latest time for which data exists.
The date/time the version was last updated.
Aliases are supported.
When to use
To determine which versions exist for a TimeSeries.
To retrieve and inspect the available versions.
To determine whether versions exist within a particular time window.
Parameter |
Description |
Required |
When to Use |
|---|---|---|---|
name |
Yes |
||
office |
Yes |
||
begin |
|||
end |
|||
page |
|||
page-size |
Examples
The user wants to retrieve all versions available for a TimeSeries.
GET /timeseries/versions?name=MISSOURI.Flow.Inst.1Hour.0.Raw&office=SPK
- The user wants to retrieve versions available within a specific time window:(begin)
2025-01-01T00:00:00Z(end)2025-12-31T23:59:59ZGET /timeseries/versions?name=MISSOURI.Flow.Inst.1Hour.0.Raw&office=SPK&begin=2025-01-01T00:00:00Z&end=2025-12-31T23:59:59Z
- The user wants all results returned in a single response:(page-size)
-1GET /timeseries/versions?name=MISSOURI.Flow.Inst.1Hour.0.Raw&office=SPK&page-size=-1
- The user wants to retrieve the next page of results using a paging cursor:(page)
<next-page-value>GET /timeseries/versions?name=MISSOURI.Flow.Inst.1Hour.0.Raw&office=SPK&page=<next-page-value>
See the consolidated API documentation: API References.